# Typedef cif::selected_charconv

- Defined in File text.hpp

## Typedef Documentation

template<typename T>
using cif::selected_charconv = typename std::conditional_t<std_experimental::is_detected_v<from_chars_function, T>, std_charconv<T>, my_charconv<T>>

  Helper to select the best implementation of charconv based on availability of the function in the std:: namespace.

  Template Parameters:

    T – The type for which we want to find a from_chars/to_chars function